import request from '@/utils/httpRequest'
import { BUSINESS_PATH as prefix } from "../AppPath";

export default class GoOutService{
	list (param) {
		return request({
			url: prefix +'/goOut/goOutList',
			method: 'get',
			params: param
		})
	}

	saveForm (inputForm) {
		return request({
			url: prefix + `/goOut/saveForm`,
			method: 'post',
			data: inputForm
		})
	}

	queryById (id) {
		return request({
			url: prefix +'/goOut/findById',
			method: 'get',
			params: {id: id}
		})
	}

	updateStatusById(data) {
		return request({
			url: prefix + "/goOut/updateStatusById",
			method: "post",
			data: data,
		})
	}
	delete (ids) {
		return request({
			url: prefix+"/goOut/delete",
			method: 'delete',
			params: {id: ids}
		})
	}


	adminEditForm(param){
		return request({
			url: prefix + "/goOut/adminEditForm",
			method: "post",
			data: param,
		})
	}

	exportFile(params) {
		return request({
			url: prefix + "/goOut/export",
			method: "get",
			params: params,
			responseType: "blob",
		});
	}

}
